HerokuRbenv

HomePage | RecentChanges | Preferences

Heroku and rbenv

Following Usage on https://github.com/gjaldon/heroku-buildpack-phoenix-static I am getting

$ heroku buildpacks:set https://github.com/gjaldon/phoenix-static-buildpack
 !    `buildpacks:set` is not a heroku command.
 !    See `heroku help` for a list of available commands.

Some investigation

These are dated in May, do I need an update?

$ heroku --version
heroku-gem/3.8.3 (x86_64-darwin14.0) ruby/2.1.6

$ which heroku
/Users/wsmoak/.rbenv/shims/heroku

The heroku gem is ooooold https://blog.heroku.com/archives/2012/10/15/upgrading-to-the-heroku-toolbelt

This is happening because the heroku gem is installed under one of the ruby versions rbenv is managing. Deleting the shim only works temporarily, rbenv rehash will put it back.

This seems to do the trick: alias heroku=/usr/local/heroku/bin/heroku


HomePage | RecentChanges | Preferences
This page is read-only | View other revisions
Last edited July 3, 2015 5:25 am by 198.98.94.133 (diff)
Search: